Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# deProfileManager Class Reference

Inheritance diagram for deProfileManager:

[legend]
Collaboration diagram for deProfileManager:

[legend]
List of all members.

## Public Member Functions
void | StartProfile (deProfile *profile)
deBoolean | RecordInfo (deProfile *profile)
long | GrabIDNum ()
long | EstimateFrequency ()
__int64 | TimeSpentIn (char *ProfileName, long IDNum)
__int64 | TimeSpentIn_IDByName (char *Name)
const char * | EndFrame (deBoolean OutputString)
void | ResetStats ()
| deProfileManager ()
| ~deProfileManager ()
## Private Attributes
u64 | m_StartTSC
u64 | m_LastFrameTSC
DWORD | m_StartTime
DWORD | m_NumFrames
double | m_AvgFPS
deTArray< ProfileEntry > | m_Entries
deString | m_StatisticString

## Constructor & Destructor Documentation

deProfileManager::deProfileManager | ( |  | ) |

deProfileManager::~deProfileManager | ( |  | ) |

## Member Function Documentation

const char * deProfileManager::EndFrame | ( | deBoolean | OutputString | ) | `[virtual]`

| Implements IdeProfileManager.

long deProfileManager::EstimateFrequency | ( |  | ) | `[virtual]`

| Implements IdeProfileManager.

long deProfileManager::GrabIDNum | ( |  | ) | `[virtual]`

| Implements IdeProfileManager.

deBoolean deProfileManager::RecordInfo | ( | deProfile * | profile | ) | `[virtual]`

| Implements IdeProfileManager.

void deProfileManager::ResetStats | ( |  | ) | `[virtual]`

| Implements IdeProfileManager.

void deProfileManager::StartProfile | ( | deProfile * | profile | ) | `[virtual]`

| Implements IdeProfileManager.

__int64 deProfileManager::TimeSpentIn | ( | char * | ProfileName,
|  | long | IDNum
| ) | `[virtual]`

| Implements IdeProfileManager.

__int64 deProfileManager::TimeSpentIn_IDByName | ( | char * | Name | ) | `[virtual]`

| Implements IdeProfileManager.

## Member Data Documentation

double deProfileManager::m_AvgFPS`[private]`

deTArray<ProfileEntry> deProfileManager::m_Entries`[private]`

u64 deProfileManager::m_LastFrameTSC`[private]`

DWORD deProfileManager::m_NumFrames`[private]`

DWORD deProfileManager::m_StartTime`[private]`

u64 deProfileManager::m_StartTSC`[private]`

deString deProfileManager::m_StatisticString`[private]`

The documentation for this class was generated from the following file:

- deProfile.cpp